package com.eactive.eai.transformer.layout;

public enum ItemNodeType {
	UNKNOWN(2200), MESSAGE(2201), GROUP(2202), FIELD(2203), ATTR(2204);

	private int number;

	ItemNodeType(int number) {
		this.number = number;
	}

	public int getNumber() {
		return number;
	}

	public static ItemNodeType fromNumber(int number) {
		for (ItemNodeType type : ItemNodeType.values()) {
			if (type.getNumber() == number) {
				return type;
			}
		}
		return UNKNOWN;
	}

}
